##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

version: "3.2"

services:
  agent:
    image: "portainer/agent:latest"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "/var/lib/docker/volumes:/var/lib/docker/volumes"
    networks:
      - "agent_network"
    deploy:
      mode: "global"
      placement:
        constraints: [node.platform.os == linux]

  portainer:
    image: "portainer/portainer-ce:latest"
    command: -H "tcp://tasks.agent:9001" --tlsskipverify
    ports:
      - "{{ install_docker_swarm__portainer.https_port }}:9443"
      - "{{ install_docker_swarm__portainer.http_port }}:8000"
    volumes:
      - "{{ install_docker_swarm__portainer.volume_name }}:/data"
      - "{{ install_docker_swarm.ssl_path }}:/certs"
    environment:
      sslcert: "{{ install_docker_swarm__portainer.ssl_crt }}"
      sslkey: "{{ install_docker_swarm__portainer.ssl_key }}"
      sslca: "{{ install_docker_swarm__portainer.ssl_ca }}"
    networks:
      - "agent_network"
    deploy:
      mode: "replicated"
      replicas: 1
      placement:
        constraints: [node.role == manager]

networks:
  agent_network:
    driver: "overlay"
    attachable: true

volumes:
  {{ install_docker_swarm__portainer.volume_name }}:
